#include <bits/stdc++.h>

using namespace std;

long long int maxp(long long int a[], long long int i, long long int j,long long int t)
{
long long int max=0;
long long int index=0;

for(long long int p=i;p<j;p++)
{
if(a[p]>max)
{
max=a[p];

index=p;
}
}
if(t==0)
{
return max;
}
else
return index;
}


int main(int argc, char** argv) 
{
long long int n;
cin >> n;

long long int a[n];

for(long long int i=0; i<n ; i++)
{
cin >> a[i];
}


long long int max=0;
long long int max0=a[0];
for(long long int i=0;i<n;i++)
{
	int index = maxp(a,i,n,1);
	max = a[index];

	if( 
	max>a[i] )
	{
		max0=a[i];
		long long int c=a[i];
		
		a[i] = a[index];
		a[index] = c;
		
		break;
	}
}

if(max0==a[0])
{
	long long int c=a[n-1];
	a[n-1]=a[n-2];
	a[n-2]=c;
}
for(int i=0;i<n;i++)
{
cout << a[i] << " ";
}

return 0;
}